### Struct

# GModule Module

since: 2.0

#### Description [src]

    struct GModule {
      /* No available fields */
    }

The `GModule` struct is an opaque data structure to represent a [dynamically-loaded module][glib-Dynamic-Loading-of-Modules]. It should only be accessed via the following functions.

Available since: 2.0

#### Functions

###### g_module_build_path

A portable way to build the filename of a module. The platform-specific prefix and suffix are added to the filename, if needed, and the result is added to the directory, using the correct separator character.

deprecated: 2.76 since: 2.0

###### g_module_error

Gets a string describing the last module error.

since: 2.0

###### g_module_error_quark

No description available.

since: 2.0

###### g_module_open

A thin wrapper function around `g_module_open_full()`

since: 2.0

###### g_module_open_full

Opens a module. If the module has already been opened, its reference count is incremented. If not, the module is searched using `file_name`.

since: 2.70

###### g_module_supported

Checks if modules are supported on the current platform.

since: 2.0

#### Instance methods

###### g_module_close

Closes a module.

since: 2.0

###### g_module_make_resident

Ensures that a module will never be unloaded. Any future `g_module_close()` calls on the module will be ignored.

since: 2.0

###### g_module_name

Returns the filename that the module was opened with.

since: 2.0

###### g_module_symbol

Gets a symbol pointer from a module, such as one exported by `G_MODULE_EXPORT`. Note that a valid symbol can be `NULL`.

since: 2.0